> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbasalt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prompts

> List all prompts



## OpenAPI

````yaml GET /prompts
openapi: 3.1.0
info:
  title: Basalt API
  description: Basalt API
  version: 0.2.1
servers:
  - url: https://api.getbasalt.ai
    description: Basalt Endpoint API
security:
  - bearerAuth: []
paths:
  /prompts:
    get:
      summary: List all prompts
      description: List all prompts
      parameters:
        - schema:
            type: string
            description: The feature slug to filter prompts by
            example: feature-slug
          required: false
          name: featureSlug
          in: query
      responses:
        '200':
          description: Array of prompts.
          content:
            application/json:
              schema:
                type: object
                properties:
                  prompts:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type:
                            - string
                            - 'null'
                          description: The slug of the prompt
                          example: my-prompt
                        name:
                          type: string
                          description: The name of the prompt
                          example: My Prompt
                        status:
                          type: string
                          enum:
                            - live
                            - draft
                          description: The status of the prompt (live or draft)
                          example: live
                        description:
                          type:
                            - string
                            - 'null'
                          description: The description of the prompt
                          example: This is a description of the prompt
                        availableVersions:
                          type: array
                          items:
                            type: string
                          description: The available versions of the prompt
                          example:
                            - 1.0.0
                            - 1.0.1
                        availableTags:
                          type: array
                          items:
                            type: string
                          description: The slug of the prompt to get
                          example:
                            - latest
                            - production
                      required:
                        - name
                        - status
                        - availableVersions
                        - availableTags
                    description: The list of prompts
                    example:
                      - slug: my-prompt
                        name: My Prompt
                        status: live
                        description: This is a description of the prompt
                        availableVersions:
                          - 1.0.0
                          - 1.0.1
                        availableTags:
                          - latest
                          - production
                required:
                  - prompts
        '400':
          description: Bad Request - Invalid query parameters
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````